Package org.pushingpixels.substance.flamingo.utils

# Class CommandButtonBackgroundDelegate

java.lang.Object
org.pushingpixels.substance.flamingo.utils.CommandButtonBackgroundDelegate

public class CommandButtonBackgroundDelegate extends Object
Delegate class for painting backgrounds of buttons in Substance look and feel. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`CommandButtonBackgroundDelegate()`

## Method Summary

Modifier and Type
Method
Description
`static BufferedImage`
`getCombinedCommandButtonBackground(org.pushingpixels.flamingo.api.common.AbstractCommandButton commandButton, ButtonModel actionModel, Rectangle actionArea, org.pushingpixels.flamingo.api.common.model.PopupButtonModel popupModel, Rectangle popupArea)`
`static BufferedImage`
`getFullAlphaBackground(org.pushingpixels.flamingo.api.common.AbstractCommandButton commandButton, ButtonModel buttonModel, org.pushingpixels.substance.api.painter.fill.SubstanceFillPainter fillPainter, org.pushingpixels.substance.api.painter.border.SubstanceBorderPainter borderPainter, int width, int height, org.pushingpixels.substance.internal.animation.StateTransitionTracker stateTransitionTracker, boolean ignoreSelections)`
Retrieves the background for the specified button.
`static void`
`paintThemedCommandButtonIcon(Graphics2D g, Rectangle iconRect, org.pushingpixels.flamingo.api.common.AbstractCommandButton commandButton, Icon regular, ButtonModel model, org.pushingpixels.substance.internal.animation.StateTransitionTracker stateTransitionTracker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandButtonBackgroundDelegate

public CommandButtonBackgroundDelegate()

## Method Details

### getFullAlphaBackground

public static BufferedImage getFullAlphaBackground(org.pushingpixels.flamingo.api.common.AbstractCommandButton commandButton, ButtonModel buttonModel, org.pushingpixels.substance.api.painter.fill.SubstanceFillPainter fillPainter, org.pushingpixels.substance.api.painter.border.SubstanceBorderPainter borderPainter, int width, int height, org.pushingpixels.substance.internal.animation.StateTransitionTracker stateTransitionTracker, boolean ignoreSelections)
Retrieves the background for the specified button.

Parameters:
  `commandButton` - Button.
  `fillPainter` - Button fill painter.
  `borderPainter` - Button border painter.
  `width` - Button width.
  `height` - Button height.
Returns:
  Button background.

### getCombinedCommandButtonBackground

public static BufferedImage getCombinedCommandButtonBackground(org.pushingpixels.flamingo.api.common.AbstractCommandButton commandButton, ButtonModel actionModel, Rectangle actionArea, org.pushingpixels.flamingo.api.common.model.PopupButtonModel popupModel, Rectangle popupArea)

### paintThemedCommandButtonIcon

public static void paintThemedCommandButtonIcon(Graphics2D g, Rectangle iconRect, org.pushingpixels.flamingo.api.common.AbstractCommandButton commandButton, Icon regular, ButtonModel model, org.pushingpixels.substance.internal.animation.StateTransitionTracker stateTransitionTracker)